## org.biojava.bio.program.homologene
Class SimpleOrthologueSet.Iterator

    java.lang.Object
      org.biojava.bio.program.homologene.SimpleOrthologueSet.Iterator

All Implemented Interfaces:
  OrthologueSet.Iterator

Enclosing class:
  SimpleOrthologueSet

    public class SimpleOrthologueSet.Iterator

extends Object
implements OrthologueSet.Iterator

Method Summary
`boolean` `hasNext()`
`Orthologue` `nextOrthologue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `OrthologueSet.Iterator`

### nextOrthologue

    public Orthologue nextOrthologue()

  Specified by:
    `nextOrthologue` in interface `OrthologueSet.Iterator`